/* IMPORTS
 ____________________________ */
@import url('root.css');
@import url('reset.css');
@import url('cards.css');
@import url('forms.css');
@import url('errors.css');
@import url('sucess.css');
@import url('ie.css');

/* FONTS
 ____________________________ */
@font-face {
    font-family: 'Klavika';
    src: url('./fonts/KlavikaWebBasic-Regular.eot');
    src: url('./fonts/KlavikaWebBasic-Regular.eot?#iefix') format('embedded-opentype'),
        url('./fonts/KlavikaWebBasic-Regular.woff2') format('woff2'),
        url('./fonts/KlavikaWebBasic-Regular.woff') format('woff'),
        url('./fonts/KlavikaWebBasic-Regular.ttf') format('truetype'),
        url('./fonts/KlavikaWebBasic-Regular.svg#KlavikaWebBasic-Regular') format('svg');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Klavika';
    src: url('./fonts/KlavikaWebBasic-Medium.eot');
    src: url('./fonts/KlavikaWebBasic-Medium.eot?#iefix') format('embedded-opentype'),
        url('./fonts/KlavikaWebBasic-Medium.woff2') format('woff2'),
        url('./fonts/KlavikaWebBasic-Medium.woff') format('woff'),
        url('./fonts/KlavikaWebBasic-Medium.ttf') format('truetype'),
        url('./fonts/KlavikaWebBasic-Medium.svg#KlavikaWebBasic-Medium') format('svg');
    font-weight: 600;
    font-style: normal;
}

/* BASE
____________________________ */
* {
    position: relative;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: 'Klavika' !important;
    font-weight: var(--font-weight-regular);
    font-style: normal;
    color: var(--secondary-color);
}

html,
body {
    min-height: 100vh;
    font-size: var(--font-size);
    line-height: var(--line-height);
    margin: 0;
}

main {
    display: flex;
    align-items: stretch;
    height: 100%;
    min-height: 100vh;
}

main>section {
    display: flex;
    margin: 0;
    min-height: 100%;
    width: 50%;
}

#cover {
    display: flex !important;
}

#cover img {
    position: fixed;
    top: 0;
    left: 0;
    width: 50vw;
    max-width: 50vw;
    height: 100vh;
    max-height: 100vh;
    object-fit: cover;
    object-position: center center;
}

.login-desktop {
    display: flex;
    flex-direction: column;
}

.login-desktop .form-container header {
    display: none !important;
}

.login-desktop,
#login-form-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: var(--primary-color);
    padding: calc(var(--gutter) * 13) calc(var(--gutter) * 13) 0;
}

.login-desktop .brand-container,
.login-desktop .welcome-container-sika {
    display: flex !important;
    align-items: center;
    justify-content: space-between;
}

.login-desktop .footer_links,
#login-form-container .footer_links {
    position: relative;
    padding: calc(var(--gutter) * 3) 0;
    margin: 0;
    font-size: 14px;
}

.login-desktop .footer_links ul li,
#login-form-container .footer_links ul li {
    padding: 0 calc(var(--gutter) * 1.5);
}

.login-desktop .footer_links ul li:first-child,
#login-form-container .footer_links ul li:first-child {
    padding-left: 0;
}

.login-desktop .footer_links ul li:last-child,
#login-form-container .footer_links ul li:last-child {
    padding-right: 0;
}

.login-desktop .footer_links ul li a:hover,
#login-form-container .footer_links ul li a:hover {
    opacity: 0.75;
}

.login-desktop .welcome-container {
    font-size: 56px;
    margin-top: calc(var(--gutter) * 8);
}

.login-desktop .login-container {
    display: flex;
    align-items: flex-start;
    width: 100%;
    height: 100%;
    padding-top: calc(var(--gutter)* 8);
}

a+div.login-container {
    margin-top: 40px;
    padding-top: 0 !important;
}

a+div.login-container form {
    padding-top: 40px;
    border-top: 1px solid var(--secondary-color);
}

a.w-400 {
    max-width: 400px;
    margin-top: 40px;
}


.login-desktop .login-container label {
    display: none !important;
}

.login-desktop .login-container label {
    display: none !important;
}

.login-desktop .inline-errors {
    text-align: left;
    margin: 0 0 calc(var(--gutter) * 2) 0;
}

.login-desktop .inline-errors .text-error {
    color: var(--danger-color);
}

.login-desktop .inline-errors .text-success {
    color: var(--success-color);
}

.login-container.success {
    position: relative;
    flex-direction: column;
    align-items: center;
    padding-top: 0;
}

.login-container.success .success--img {
    width: 140px;
    height: 140px;
}

.login-container.success .success--msg {
    font-size: 24px;
    color: var(--secondary-color);
}

.login-container.success .form-success {
    display: flex;
    flex-direction: row;
    justify-content: center;
    text-align: center;
}

#cookieModal .close a.button,
#cookieModal .close a.button:hover {
    background-color: var(--secondary-color);
    border-radius: 0;
}

#cookieModal .terms div p {
    margin: 0;
}

/* body#login {
    background-color: var(--light-color);
} */
/* .login-desktop {
    display: flex;
    align-items: stretch;
} */

/* 
@media screen and (min-width: 768px) {

    header,
    footer {
        position: absolute;
        z-index: 1;
        right: 0;
        left: 0;
    }
} */

/* header {
    margin-bottom: 40px;
    margin-top: 30px;
}

header .logo {
    width: 100%;
    height: 50px;
    padding: 0;
    text-align: left;
}

header .logo img {
    display: inline-block;
    vertical-align: middle;
    height: 24px;
}

header .logo img:last-child {
    float: right;
}

main {
    position: relative;
    display: table;
    width: 100%;
    height: 100vh;
}

main section {
    display: table-cell;
    vertical-align: middle;
}

main section .container {
    max-width: 992px;
    width: calc(100% - 32px);
    margin: 0 auto;
}

main section .container .row {
    display: table;
    width: 100%;
}

main section .container .row>div {
    width: calc(50% - 11px);
}

@media screen and (max-width: 768px) {
    main section .container .row>div {
        display: block;
        width: 100%;
        margin: 16px 0;
    }
}

main section .container .row>div .login-title {
    display: inline-block;
    color: #92A6B9;
    font-size: 1.2rem;
    font-weight: 500;
    margin-bottom: 16px;
}

main section .container .row>div button {
    float: right;
}



#login .container {
    margin-left: auto;
    margin-right: auto;
}

#login .container .title {
    text-align: center;
    font-size: 26px;
    margin: 15px 15px 60px;
    color: white;
    font-weight: lighter;
}

#login .container .flex-container {
    display: table;
    width: 100%;
    max-width: 340px;
    margin-left: auto;
    margin-right: auto;
}

#login .container .login-container {
    position: relative;
    display: inline-block;
    vertical-align: top;
    width: 100%;
    margin: 0 auto;
}

footer {
    bottom: 0;
}

footer .version-info {
    display: block;
    padding: 16px;
    font-size: .8rem;
    text-align: right;
    color: white;
    text-shadow: 0px 0px 3px black;
}

small {
    font-size: 85%;
} */

@-webkit-keyframes fadeIn {
    from {
        -webkit-transform: translateY(48px);
        -moz-transform: translateY(48px);
        -ms-transform: translateY(48px);
        -o-transform: translateY(48px);
        transform: translateY(48px);
        opacity: 0;
    }

    to {
        -webkit-transform: translateY(0);
        -moz-transform: translateY(0);
        -ms-transform: translateY(0);
        -o-transform: translateY(0);
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        -webkit-transform: translateY(48px);
        -moz-transform: translateY(48px);
        -ms-transform: translateY(48px);
        -o-transform: translateY(48px);
        transform: translateY(48px);
        opacity: 0;
    }

    to {
        -webkit-transform: translateY(0);
        -moz-transform: translateY(0);
        -ms-transform: translateY(0);
        -o-transform: translateY(0);
        transform: translateY(0);
        opacity: 1;
    }
}